package com.chinaitop.depot.intelligent.grainsituation.service;

import com.chinaitop.depot.intelligent.grainsituation.model.TTestdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataLayer;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public interface TemperatureRecordService {
    List<TTestdata> getList(String vCfCode, String vDatatime, String startTime, String endTime,String tType,String orgId);

    List<TTestdataLayer> findByHouseAndTime(String lqId,String vCfCode, String vDatatime, String orgId);

    ArrayList<Object> findByHouseAndTimes(String lqId,String vCfCode, String vDatatime, boolean viewFlag);

    List<TTestdata> getComparison(String vCfCodeLeft, String startTimeLeft, String endTimeLeft, String vCfCodeRight, String startTimeRight, String endTimeRight, String tType, String orgId);

    void insertBatch(List<TTestdata> testData);

    List<TTestdata> getByCodeAndTimes(List<String> cDcsCodes,List<Date> cTimes,List<String> lqTypes);

    String getOrgId (String cfCode);

    TTestdata getById(String id);

    String getRemoteUrl(String orgId);
}
